db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kathey Marsden (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (DERBY-3120) Including derby 10.3.1.4 in Maven projects results in error at runtime: "Cannot find derbynet.jar on the classpath"
Date Tue, 09 Oct 2007 23:51:50 GMT

     [ https://issues.apache.org/jira/browse/DERBY-3120?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Kathey Marsden resolved DERBY-3120.
-----------------------------------

    Resolution: Duplicate

Duplicate DERBY-3083


> Including derby 10.3.1.4 in Maven projects results in error at runtime: "Cannot find
derbynet.jar on the classpath"
> -------------------------------------------------------------------------------------------------------------------
>
>                 Key: DERBY-3120
>                 URL: https://issues.apache.org/jira/browse/DERBY-3120
>             Project: Derby
>          Issue Type: Bug
>          Components: Network Server
>    Affects Versions: 10.3.1.4
>         Environment: Mac OS x 10.4.10 with Java 1.5.0_07, Windows XP with Java 6 release
3
>            Reporter: Brian Schlining
>
> I used Maven to build a project that includes the  dependencies listed in the Maven pom.xml
fragment below. When I attempt run a derby server using the jars fetched below I get the following
message on the command line: "Cannot find derbynet.jar on the classpath". I have verified
that derbynet.jar was indeed on the classpath. I even hanged the jars name from the maven
name, derbynet-10.3.1.4.jar to derbynet.jar and I still got the same error. NOTE: If I change
the versions to derby 10.2.2.0 everything works fine. Tis bg only occurs with 10.3.1.4
>             <dependencies>
>                 <dependency>
>                     <groupId>org.apache.derby</groupId>
>                     <artifactId>derbyclient</artifactId>
>                     <version>10.3.1.4</version>
>                     <scope>runtime</scope>
>                 </dependency>
>                 <dependency>
>                     <groupId>org.apache.derby</groupId>
>                     <artifactId>derby</artifactId>
>                     <version>10.3.1.4</version>
>                     <scope>runtime</scope>
>                 </dependency>
>                 <dependency>
>                     <groupId>org.apache.derby</groupId>
>                     <artifactId>derbynet</artifactId>
>                     <version>10.3.1.4</version>
>                     <scope>runtime</scope>
>                 </dependency>
>                 <dependency>
>                     <groupId>org.apache.derby</groupId>
>                     <artifactId>derbytools</artifactId>
>                     <version>10.3.1.4</version>
>                     <scope>runtime</scope>
>                 </dependency>
>             </dependencies>

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message